Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.web.startup
Class TilesFilter

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.apache.tiles.web.startup.AbstractTilesInitializerServlet
                  org.apache.tiles.web.startup.TilesServlet
                      org.apache.tiles.web.startup.TilesFilter

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Filter, javax.servlet.Servlet, javax.servlet.ServletConfig

Deprecated. Use `TilesServlet` or `TilesListener`. If you want a decoration Filter, use `TilesDecorationFilter`. Moreover, definition files reload themselves if the `DefinitionDAO` implements `Refreshable`.

    public class TilesFilter

extends TilesServlet
implements javax.servlet.Filter

Processes Reloadable Tiles Definitions.

Version:
  $Rev: 784215 $ $Date: 2009-06-12 19:36:13 +0200 (ven, 12 giu 2009) $
See Also:
  Serialized Form

Constructor Summary
`TilesFilter()` Deprecated.

Method Summary
`void` | `destroy()` Deprecated. Destroy method for this filter.
`void` | `doFilter(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response, javax.servlet.FilterChain chain)` Deprecated. Checks whether Tiles Definitions need to be reloaded.
`javax.servlet.FilterConfig` | `getFilterConfig()` Deprecated. Returns the filter configuration object for this filter.
`void` | `init(javax.servlet.FilterConfig filterConfig)` Deprecated.
`void` | `log(java.lang.String msg)` Deprecated.
`void` | `setFilterConfig(javax.servlet.FilterConfig filterConfig)` Deprecated. Set the filter configuration object for this filter.

Methods inherited from class org.apache.tiles.web.startup.TilesServlet
`createTilesInitializer`

Methods inherited from class org.apache.tiles.web.startup.AbstractTilesInitializerServlet
`init`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TilesFilter

    public TilesFilter()

  Deprecated.

Method Detail

### doFilter

    public void doFilter(javax.servlet.ServletRequest request,
                         javax.servlet.ServletResponse response,
                         javax.servlet.FilterChain chain)
                  throws java.io.IOException,
                         javax.servlet.ServletException

  Deprecated.
  Checks whether Tiles Definitions need to be reloaded.

  Specified by:
    `doFilter` in interface `javax.servlet.Filter`
  Parameters:
    `request` - The servlet request we are processing
    `response` - The servlet response we are creating
    `chain` - The filter chain we are processing
  Throws:
    `java.io.IOException` - if an input/output error occurs
    `javax.servlet.ServletException` - if a servlet error occurs

### getFilterConfig

    public javax.servlet.FilterConfig getFilterConfig()

  Deprecated.
  Returns the filter configuration object for this filter.

  Returns:
    The filter configuration.

### setFilterConfig

    public void setFilterConfig(javax.servlet.FilterConfig filterConfig)

  Deprecated.
  Set the filter configuration object for this filter.

  Parameters:
    `filterConfig` - The filter configuration object

### destroy

    public void destroy()

  Deprecated.
  Destroy method for this filter.

  Specified by:
    `destroy` in interface `javax.servlet.Filter`
  Specified by:
    `destroy` in interface `javax.servlet.Servlet`
  Overrides:
    `destroy` in class `AbstractTilesInitializerServlet`

### init

    public void init(javax.servlet.FilterConfig filterConfig)
              throws javax.servlet.ServletException

  Deprecated.

  Specified by:
    `init` in interface `javax.servlet.Filter`
  Throws:
    `javax.servlet.ServletException`

### log

    public void log(java.lang.String msg)

  Deprecated.

  Overrides:
    `log` in class `javax.servlet.GenericServlet`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.